### Function

# RB ExtDBRequestCallback

#### Declaration

    void
    (* RBExtDBRequestCallback) (
      RBExtDBKey* key,
      RBExtDBKey* store_key,
      const char* filename,
      GValue* data,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`key`

  Type: `RBExtDBKey`

  No description available.

  The data is owned by the caller of the function.

`store_key`

  Type: `RBExtDBKey`

  No description available.

  The data is owned by the caller of the function.

`filename`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.